petsc-3.7.7 2017-09-25
Report Typos and Errors

# DMMoabGetBoundaryMarkers

Return references to the vertices, faces, elements on the boundary

### Synopsis

    #include "petscdmmoab.h"
    PetscErrorCode DMMoabGetBoundaryMarkers(DM dm,const moab::Range **bdvtx,const moab::Range** bdelems,const moab::Range** bdfaces)

### Input Parameter

dm - The DMMoab object

### Output Parameter

bdvtx - Boundary vertices
bdelems - Boundary elements
bdfaces - Boundary faces

### See Also

DMMoabCheckBoundaryVertices(), DMMoabIsEntityOnBoundary()

Level:beginner
Location:src/dm/impls/moab/dmmoab.cxx
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages